%define		_state		stable
%define		orgname		kajongg
%define		qtver		4.8.0

Summary:	kajongg
Name:		kde4-kajongg
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	7b3f4696f5fe6f98b8c960ba7a21f83e
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdegames-devel >= %{version}
BuildRequires:	phonon-devel >= 4.3.80
BuildRequires:	python-PyKDE4
BuildRequires:	python-TwistedCore
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	python-TwistedCore
Obsoletes:	kde4-kdegames-kajongg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kajongg.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/var/games
# remove locolor icons
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

%clean
rm -rf $RPM_BUILD_ROOT

%post			-p /sbin/ldconfig
%postun			-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kajongg
%attr(755,root,root) %{_bindir}/kajonggserver
#%attr(755,root,root) %{_libdir}/libkcardgame.so
%{_desktopdir}/kde4/kajongg.desktop
%{_datadir}/apps/kajongg
%{_kdedocdir}/en/kajongg
%{_iconsdir}/hicolor/*x*/apps/kajongg.png
%{_iconsdir}/hicolor/scalable/apps/kajongg.svgz
%{_iconsdir}/hicolor/scalable/actions/games-kajongg-law.svgz
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kajongg.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 6c9bc29
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> cc550dc
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2ca3b8e
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5b5553b
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> fedcf1d
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 99968fe
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9307fa0
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2daf4e0
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a407820
- updated to 4.12.1 (by update-kde4.sh)

* Tue Dec 24 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 69342c6
- touch was wrong

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 363f164
- new, extracted from kde4-kdegames

